API Reference

Sale Invoices

4 endpoints· Auth: JWT or API Key
get/api/v1/console/pos/sale-invoices/{id} JWT API Key

Get id

Path parameters

idrequired
string (uuid)
—

Responses

200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/pos/sale-invoices/{id}" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Set credentials in the “Authorize” menu
patch/api/v1/console/pos/sale-invoices/{id} JWT API Key

Update id

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "reason": "string",
  "brandId": "00000000-0000-0000-0000-000000000000",
  "clearBrandId": false,
  "externalOrderId": "string",
  "clearExternalOrderId": false
}
reason
string
—
brandId
string (uuid)
—
clearBrandId
boolean
—
externalOrderId
string
—
clearExternalOrderId
boolean
—

Responses

200Success
cURL
curl -X PATCH "https://staging-api.panoptesos.com/api/v1/console/pos/sale-invoices/{id}" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "reason": "string",
  "brandId": "00000000-0000-0000-0000-000000000000",
  "clearBrandId": false,
  "externalOrderId": "string",
  "clearExternalOrderId": false
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
delete/api/v1/console/pos/sale-invoices/{id} JWT API Key

Delete id

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "reason": "string"
}
reason
string
—

Responses

200Success
cURL
curl -X DELETE "https://staging-api.panoptesos.com/api/v1/console/pos/sale-invoices/{id}" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Set credentials in the “Authorize” menu
post/api/v1/console/pos/sale-invoices/{id}/restore JWT API Key

Create restore

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "reason": "string"
}
reason
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/pos/sale-invoices/{id}/restore" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "reason": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu